=== 2.10.0 (2014-05-03)

* This is mostly a dependencies upgrade.
* Upgraded to Python 3.3.
* Upgraded to Qt 5.
* Minimum Windows version is now Windows 7 64bit.
* Minimum Ubuntu version is now 14.04.
* Minimum OS X version is now 10.7 (Lion).
* ... But with a couple of little improvements.
* Improved documentation.
* Overwrite subfolders' state when setting states in folder dialog (#248)
* Fix empty Ignore List dialog bug. (#253)
* The error report dialog now brings the user to Github issues.

=== 2.9.0 (2013-12-22)

* Read RAW pictures EXIF tags. [Mac] (#234)
* Disable symlink/hardlink deletion option when not relevant. (#247)
* Make Cmd+A select all folders in the Folder Selection dialog. [Mac] (#228)
* Make non-numeric delta comparison case insensitive. (#239)
* Fix surrogate-related UnicodeEncodeError on CSV export. (#210)
* Fixed crash on Dupe Count sorting with Delta + Dupes Only. (#238)
* Improved documentation.
* Important internal refactorings.
* Dropped Ubuntu 12.04 and 12.10 support.
* Removed the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).

=== 2.8.0 (2013-08-25)

* Improved delta values to support non-numerical values. (#213)
* Improved the Re-Prioritize dialog's UI. (#224)
* Added hardlink/symlink support on Windows Vista+. (#220)
* Added keybinding for the "Clear Picture Cache" action. [Linux, Windows] (#230)
* Dropped 32bit support on Mac OS X.
* Added Vietnamese localization by Phan Anh.

=== 2.7.1 (2013-05-05)

* Fixed false matching bug in EXIF matching. (#219)
* Improved "Make Selection Reference" to make it clearer. (#222)
* Improved "Open Selected" to allow opening more than one file at once. (#142)
* Fixed a few typos here and there. (#216 #225)
* Tweaked the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).
* Added Arch Linux packaging
* Added a 64-bit build for Windows.
* Improved Brazilian localization by Victor Figueiredo.

=== 2.7.0 (2012-08-11)

* Added "Export to CSV". (#189)
* Added "Replace with symlinks" to complement "Replace with hardlinks". [Mac, Linux] (#194)
* Added "Exif Timestamp" column. (#201)
* dupeGuru now tells how many duplicates were affected after each re-prioritization operation. (#204)
* Added Longest/Shortest filename criteria in the re-prioritize dialog. (#198)
* Fixed result table cells which mistakenly became writable in v2.6.0. [Mac] (#203)
* Fixed "Rename Selected" which was broken since v2.6.0. [Mac] (#202)
* Fixed a bug where "Reset to Defaults" in the Columns menu wouldn't refresh menu items' marked state.
* Fixed a bug where outdated picture cache entries would result in false matches. (#199)
* Added Brazilian localization by Victor Figueiredo.
* Improved Russian localization by Kyrill Detinov.

=== 2.6.0 (2012-06-06)

* Added Aperture support. (#42)
* Added a Deletion Options panel.
* Greatly improved memory usage for big scans.
* Added a keybinding for the filter field. (#182) [Mac]
* Fixed occasional hard crashes during scans. [Linux]
* Upgraded minimum requirements for Ubuntu to 12.04.

=== 2.5.0 (2012-03-31)

* Improved results window UI. [Windows, Linux]
* Added a dialog to edit the Ignore List.
* Added the ability to sort results by "marked" status.
* Fixed "Open with default application". (#190)
* Fixed a bug where there would be a false reporting of discarded matches. (#195)
* Fixed various localization glitches.
* Fixed hard crashes on crash reporting. (#196)
* Fixed bug where the details panel would show up at inconvenient places in the screen. [Windows, Linux]

=== 2.4.1 (2012-01-23)

* Fixed a crash on sorting by dimensions.
* Improved communications with iPhoto. [Cocoa] (#185)
* Fixed crash on Export to HTML. [Windows, Linux]
* Added Ukrainian localization by Yuri Petrashko.

=== 2.4.0 (2012-01-06)

* Added multiple-selection in folder selection dialog for a more efficient folder removal. (#179)
* Fixed a crash in the prioritize dialog. (#178)
* Fixed a bug where mass marking with a filter would mark more than filtered duplicates. (#181)
* Fixed random hard crashes. [Mac OS X] (#183 #184)
* Added Czech localization by Aleš Nehyba.
* Added Italian localization by Paolo Rossi.
* Added Armenian localization by Hrant Ohanyan.
* Added Russian localization by Igor Pavlov.

=== 2.3.0 (2011-10-04)

* Added duplicate re-prioritization dialog. (#138)
* Added font size preference for duplicate table. (#82)
* Added Quicklook support. [Mac OS X] (#21)
* Improved behavior of Mark Selected. (#139)
* Improved filename sorting. (#169)
* Added Chinese (Simplified) localization by Eric Dee.
* Tweaked the fairware system.
* Upgraded minimum requirements to OS X 10.6 and Ubuntu 11.04.

=== 2.2.2 (2011-08-27)

* Added German localization by Gregor Tätzner.
* Improved OS X Lion compatibility. [Mac OS X]
* Made the file collection phase cancellable. (#168)
* Fixed glitch in folder window upon selecting a folder state. [Windows, Linux] (#165)

=== 2.2.1 (2011-06-15)

* Brought back the filter hardness label which disappeared in 2.2.0. [Mac OS X] (#164)
* Added support for Olympus RAW files (.orf). [Mac OS X] (#159)
* Fixed a bug causing the picture analysis to stall on some corrupt EXIF data.
* Make the "Match scaled pictures" option apply to the new EXIF timestamp scan. (#162)
* Fixed glitch in the sorting feature of the Folder column. (#161)

=== 2.2.0 (2011-06-02)

* Added the EXIF Timestamp scan type.
* Correctly rotate pictures before analysis when EXIF orientation indicates it. (#154)
* Make sure that saved results have the ".dupeguru" extension. [Linux] (#157)
* Fixed a text coloring glitch in the results. (#156)
* Fixed a refresh bug in directory panel. (#153)
* Fixed a crash on saving results. (#149)
* Improved reliability of the "Send to Trash" operation. [Linux]

=== 2.1.0 (2011-03-07)

* Improved scanning speed, especially for big scans with a lot of CPU cores.
* Improved iPhoto integration. [Mac OS X]
* Fixed crash after removing marked dupes. (#140)
* Fixed crash on error handling. [Windows] (#144)
* Fixed crash on copy/move. [Windows] (#148)
* Fixed crash when launching dupeGuru from a very long folder name. [Mac OS X] (#119)
* Tweaked Fairware reminders.

=== 2.0.0 (2011-01-29)

* Re-designed the UI. (#129)
* Internationalized dupeGuru and localized it to french. (#32)
* Changed the format of the help file. (#130)
* The "Dimensions" column is now affected by the delta mode. (#115)
* Removed focus from the cancel button in the progress dialog to avoid accidental cancellations. [Mac OS X] (#135)
* Folders added through drag and drop are added to the recent folders list. (#136)
* Added a debugging mode. (#132)

=== 1.11.3 (2010-12-31)

* Fixed bug causing results to be corrupted after a scan cancellation. (#120)
* Fixed crash when fetching Fairware unpaid hours. (#121)
* Fixed crash when replacing files with hardlinks. (#122)
* Fixed crash when iPhoto can't be found. (#125)

=== 1.11.2 (2010-10-07)

* Fixed delta column colors which were broken since 1.11.0.
* Fixed column sorting crash. (#108)
* Fixed occasional crash during scan. (#106)

=== 1.11.1 (2010-09-30)

* Re-licensed dupeGuru to BSD and made it [Fairware](http://open.hardcoded.net/about/).

=== 1.11.0 (2010-09-27)

* Improved UI with a little revamp.
* Added the possibility to place hardlinks to references after having deleted duplicates. [Mac OS X, Linux] (#91)
* Added an option to ignore duplicates hardlinking to the same file. [Mac OS X, Linux] (#92)
* Added multiple selection in the "Add Directory" dialog. [Mac OS X] (#105)
* Fixed a bug preventing drag & drop from working in the Directories panel. [Windows, Linux]

=== 1.10.0 (2010-08-21)

* Added the ability to save results (and reload them) at arbitrary locations.
* Improved the way reference files in dupe groups are chosen. (#15)
* Remember size/position of all windows between launches. (#102)
* Fixed a bug sometimes preventing dupeGuru from reloading previous results.
* Fixed a bug sometimes causing the progress dialog to be stuck there. [Mac OS X] (#103)
* Removed the Creation Date column, which wasn't displaying the correct value anyway. (#101)

=== 1.9.1 (2010-07-17)

* Fixed a couple of crashes. (#95, #96, #97, #100)

=== 1.9.0 (2010-04-15)

* Improved error messages when files can't be sent to trash, moved or copied.
* Added a custom command invocation action. (#12)
* Filters are now applied on whole paths. (#4)

=== 1.8.6 (2010-04-08)

* Fixed a crash when performing very big scans.
* Fixed a rare crash during results loading. (#90)

=== 1.8.5 (2010-03-01)

* Fixed a bug preventing some iPhoto Libraries to be read. [Mac OS X]
* Improved results loading and saving speed.

=== 1.8.4 (2010-02-18)

* Fixed a glitch in the details panel causing it to sometimes show the wrong pictures.

=== 1.8.3 (2010-02-11)

* Fixed a crash when reading certain pictures. [Mac OS X] (#94)
* Fixed selection glitches, especially while renaming. (#93)

=== 1.8.2 (2010-02-06)

* dupeGuru Picture Edition is now 64-bit on Mac OS X!
* Improved scanning speed.
* Fixed a crash upon quitting when support folder is not present. (#83)

=== 1.8.1 (2010-01-15)

* Improved scanning speed when ref directories are involved. (#77)
* Show a message dialog at the end of the scan if no duplicates are found. (#81)
* Fixed a crash when adding the iPhoto library twice. [Mac OS X] (#80)

=== 1.8.0 (2009-12-16)

* Added drag & drop support in the Directories panel. (#9)
* Fixed a bug causing dupeGuru to be confused if a scanned file was moved during the scan. (#72)
* Clarified how directories' state are set by painting a combo box in the state cells. [Windows] (#76)
* Fixed some crashes. (#78 and #79)
* Dropped Mac OS X Tiger support.

=== 1.7.8 (2009-10-24)

* Fixed a bug sometimes causing some duplicates to be ignored during the scans. (#73)

=== 1.7.7 (2009-10-14)

* Improved directory selection in the Directories panel (Windows). (#56)
* Fixed a bug preventing dupeGuru from starting on certain machines (Windows). (#68)
* Fixed a crash during very big scans. (#70)

=== 1.7.6 (2009-10-03)

* Fixed a bug causing memory error when scanning a lot of pictures. (#58)
* Fixed bugs preventing some duplicates to be found. (#64 #67)
* Fixed a bug preventing some iPhoto Libraries to be read. (Mac OS X) (#61)
* Fixed crash with filtering when regular expressions were enabled. (#60)
* Fixed crash when setting directories' state. (Mac OS X) (#66)
* Fixed crash with Make Reference when certain filters were applied. (Mac OS X) (#55)
* Improved error handling during delete/move/copy actions. (#62 #65)

=== 1.7.5 (2009-09-07)

* Re-introduced the Export to XHTML feature to Windows.
* Improved Export to XHTML speed.
* Improved the grouping algorithm to reduce the number of discarded files in non-exact scans.
* Stopped showing the same file on the 2 sides of the details panel when a ref file is selected.
* Fixed crashes in the Directories panel.

=== 1.7.4 (2009-06-20)

* Fixed bugs with selection being jumpy during "Make Reference" actions and Power Marker switches.
* Fixed crash happening when a file with non-roman characters couldn't be analyzed.
* Fixed crash sometimes happening during the file collection phase in scanning.
* Fixed bugs with iPhoto integration.
* Restored double-click and right-click behavior lost in the PyQt move (Windows).

=== 1.7.3 (2009-06-07)

* Fixed an occasional crash on Copy/Move operations.
* Fixed bugs with iPhoto integration.

=== 1.7.2 (2009-05-27)

* Fixed a bug causing '.jpeg' files not to be scanned.
* Fixed a bug causing a GUI freeze at the beginning of a scan with a lot of files.
* Fixed a bug that sometimes caused a crash when an action was cancelled, and then started again.
* Improved scanning speed.

=== 1.7.1 (2009-05-26)

* Fixed a bug causing the "Match Scaled" preference to be inverted.

=== 1.7.0 (2009-05-20)

* Fixed the bug from 1.6.0 preventing PowerPC macs from running the application.
* Converted the Windows GUI to Qt, thus enabling multiprocessing and making the scanning process
      faster.

=== 1.6.0 (2009-03-24)

* **Improved** scanning speed, mainly on OS X where all cores of the CPU are now used.
* **Fixed** an occasional crash caused by permission issues.
* **Fixed** a bug where the "X discarded" notice would show a too large number of discarded duplicates.

=== 1.5.0 (2008-09-10)

* **Added** a notice in the status bar when matches were discarded during the scan.
* **Improved** duplicate prioritization (smartly chooses which file you will keep).
* **Improved** scan progress feedback.
* **Improved** responsiveness of the user interface for certain actions.

=== 1.4.2 (2008-07-28)

* **Improved** iPhoto compatibility on Mac OS X.
* **Improved** the speed of results loading and saving.
* **Fixed** a crash sometimes occurring during duplicate deletion.

=== 1.4.1 (2008-04-12)

* **Improved** iPhoto Library loading feedback on Mac OS X.
* **Fixed** the directory selection dialog. Bundles can be selected again on Mac OS X.
* **Fixed** "Clear Ignore List" crash in Windows.

=== 1.4.0 (2008-02-20)

* **Added** iPhoto Library support on Mac OS X.
* **Fixed** occasional crashes when scanning corrupted pictures.

=== 1.3.4 (2008-01-12)

* **Improved** scan, delete and move speed in situations where there were a lot of duplicates.
* **Fixed** occasional crashes when moving a lot of files at once.
* **Fixed** an issue sometimes preventing the application from starting at all.

=== 1.3.3 (2007-12-03)

* **Improved** the handling of low memory situations.
* **Improved** the directory panel. The "Remove" button changes to "Put Back" when an excluded directory is selected.
* **Fixed** the directory selection dialog. iPhoto '08 library files can now be selected.

=== 1.3.2 (2007-11-24)

* **Added** the "Remove empty folders" option.
* **Fixed** results load/save issues.
* **Fixed** occasional status bar inaccuracies when the results are filtered.

=== 1.3.1 (2007-10-21)

* **Improved** results loading speed.
* **Improved** details panel's picture loading (made it asynchronous).
* **Fixed** a bug where the stats line at the bottom would sometimes go confused while having a filter active.
* **Fixed** a bug under Windows where some duplicate markings would be lost.

=== 1.3.0 (2007-09-22)

* **Added** post scan filtering.
* **Fixed** issues with the rename feature under Windows.
* **Fixed** some user interface annoyances under Windows.

=== 1.2.1 (2007-05-19)

* **Improved** UI responsiveness (using threads) under Mac OS X.
* **Improved** result load/save speed and memory usage.

=== 1.2.0 (2007-03-17)

* **Changed** the picture decoding libraries for both Mac OS X and Windows. The Mac OS X version uses the Core Graphics library and the Windows version uses the .NET framework imaging capabilities. This results in much faster scans. As a bonus, the Mac OS X version of dupeGuru PE now supports RAW images.

=== 1.1.6 (2007-02-11)

* **Added** Re-orderable columns. In fact, I re-added the feature which was lost in the C# conversion in 1.1.0 (Windows).
* **Fixed** a bug with all the Delete/Move/Copy actions with certain kinds of files.

=== 1.1.5 (2007-01-11)

* **Fixed** a bug with the Move action.

=== 1.1.4 (2007-01-09)

* **Fixed** a "ghosting" bug. Dupes deleted by dupeGuru would sometimes come back in subsequent scans (Windows).
* **Fixed** bugs sometimes making dupeGuru crash when marking a dupe (Windows).
* **Fixed** some minor visual glitches (Windows).

=== 1.1.3 (2006-12-23)

* **Improved** the caching system. This makes duplicate scans significantly faster.
* **Improved** the rename file dialog to exclude the extension from the original selection (so when you start typing your new filename, it doesn't overwrite it) (Windows).
* **Changed** some menu key shortcuts that created conflicts (Windows).
* **Fixed** a bug preventing files from "reference" directories to be displayed in blue in the results (Windows).
* **Fixed** a bug preventing some files to be sent to the recycle bin (Windows).
* **Fixed** a bug with the "Remove" button of the directories panel (Windows).
* **Fixed** a bug in the packaging preventing certain Windows configurations to start dupeGuru at all.

=== 1.1.2 (2006-11-18)

* **Fixed** a bug with directory states.

=== 1.1.1 (2006-11-17)

* **Fixed** a bug causing the ignore list not to be saved.
* **Fixed** a bug with selection under Power Marker mode.

=== 1.1.0 (2006-11-15)

* **Changed** the Windows interface. It is now .NET based.
* **Added** an auto-update feature to the windows version.
* **Changed** the way power marking works. It is now a mode instead of a separate window.
* **Changed** the "Size (MB)" column for a "Size (KB)" column. The values are now "ceiled" instead of rounded. Therefore, a size "0" is now really 0 bytes, not just a value too small to be rounded up. It is also the case for delta values.
* **Fixed** a bug sometimes making delete and move operations stall.

=== 1.0.5 (2006-10-12)

* **Added** an auto-update feature in the Mac OS X version (with Sparkle).
* **Fixed** a bug sometimes causing inaccuracies of the Match %.

=== 1.0.4 (2006-09-21)

* **Fixed** a bug with the cache system.

=== 1.0.3 (2006-09-15)

* **Added** the ability to search for scaled duplicates.
* **Added** a cache system for faster scans.
* **Improved** speed of the scanning engine.

=== 1.0.2 (2006-09-11)

* **Improved** speed of the scanning engine.
* **Improved** the display of pictures in the details panel (Windows).

=== 1.0.0 (2006-09-08)

* Initial release.
